! Cu "polval" pt. polinoame
! met. Halley
subroutine Deriv_Pol()
use work


do i = n-1, 0, -1
coef_1(i) =coef(i+1)*(i+1)
enddo

do i = n-2, 0, -1
coef_2(i) =coef_1(i+1)*(i+1)
enddo

!f  =polval(n, coef, x)
!f1 =polval(n-1, coef_1, x)
!f2 =polval(n-2, coef_2, x)

END
